App\Library\Amazon\Classes\Bullion:
    xml_root_name: Bullion
    properties:
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            xml_list:
                inline: true
                entry_name: ModelYear
            type: array<integer>
        mintMark:
            expose: true
            access_type: public_method
            serialized_name: MintMark
            accessor:
                getter: getMintMark
                setter: setMintMark
            type: string
        denominationUnit:
            expose: true
            access_type: public_method
            serialized_name: DenominationUnit
            accessor:
                getter: getDenominationUnit
                setter: setDenominationUnit
            type: string
        seriesTitle:
            expose: true
            access_type: public_method
            serialized_name: SeriesTitle
            accessor:
                getter: getSeriesTitle
                setter: setSeriesTitle
            type: string
        variety:
            expose: true
            access_type: public_method
            serialized_name: Variety
            accessor:
                getter: getVariety
                setter: setVariety
            type: string
        subVariety:
            expose: true
            access_type: public_method
            serialized_name: SubVariety
            accessor:
                getter: getSubVariety
                setter: setSubVariety
            type: string
        itemStyling:
            expose: true
            access_type: public_method
            serialized_name: ItemStyling
            accessor:
                getter: getItemStyling
                setter: setItemStyling
            type: string
        gradedBy:
            expose: true
            access_type: public_method
            serialized_name: GradedBy
            accessor:
                getter: getGradedBy
                setter: setGradedBy
            type: string
        gradeRating:
            expose: true
            access_type: public_method
            serialized_name: GradeRating
            accessor:
                getter: getGradeRating
                setter: setGradeRating
            type: string
        certificateNumber:
            expose: true
            access_type: public_method
            serialized_name: CertificateNumber
            accessor:
                getter: getCertificateNumber
                setter: setCertificateNumber
            type: string
        unitGrouping:
            expose: true
            access_type: public_method
            serialized_name: UnitGrouping
            accessor:
                getter: getUnitGrouping
                setter: setUnitGrouping
            type: string
        eachUnitCount:
            expose: true
            access_type: public_method
            serialized_name: EachUnitCount
            accessor:
                getter: getEachUnitCount
                setter: setEachUnitCount
            type: integer
        styleName:
            expose: true
            access_type: public_method
            serialized_name: StyleName
            accessor:
                getter: getStyleName
                setter: setStyleName
            type: string
        designation:
            expose: true
            access_type: public_method
            serialized_name: Designation
            accessor:
                getter: getDesignation
                setter: setDesignation
            type: string
        edgeStyle:
            expose: true
            access_type: public_method
            serialized_name: EdgeStyle
            accessor:
                getter: getEdgeStyle
                setter: setEdgeStyle
            type: string
        designer:
            expose: true
            access_type: public_method
            serialized_name: Designer
            accessor:
                getter: getDesigner
                setter: setDesigner
            type: string
        artistID:
            expose: true
            access_type: public_method
            serialized_name: ArtistID
            accessor:
                getter: getArtistID
                setter: setArtistID
            type: string
        estatePeriod:
            expose: true
            access_type: public_method
            serialized_name: EstatePeriod
            accessor:
                getter: getEstatePeriod
                setter: setEstatePeriod
            type: string
        unitCoint:
            expose: true
            access_type: public_method
            serialized_name: UnitCoint
            accessor:
                getter: getUnitCoint
                setter: setUnitCoint
            type: float
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        itemDiameter:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameter
            accessor:
                getter: getItemDiameter
                setter: setItemDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        totalMetalWeight:
            expose: true
            access_type: public_method
            serialized_name: TotalMetalWeight
            accessor:
                getter: getTotalMetalWeight
                setter: setTotalMetalWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        metalStamp:
            expose: true
            access_type: public_method
            serialized_name: MetalStamp
            accessor:
                getter: getMetalStamp
                setter: setMetalStamp
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        labelDescription:
            expose: true
            access_type: public_method
            serialized_name: LabelDescription
            accessor:
                getter: getLabelDescription
                setter: setLabelDescription
            type: string
